List by org (lister)

Lists listings owned (created) by the caller’s org with filtering, sorting, and pagination. Lister view. | authz: allowed_org_types=[provider], min_org_role=operator | () -> (ListingListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

filter_audienceenumOptional

Filter to a single audience (PROVIDERS or DRIVERS). Lister-only — bidder routes hardcode audience.

Allowed values:
sort_byenumOptional
Field to sort by.
Allowed values:
sort_orderenumOptional

Sort order (asc or desc).

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
filter_statusenumOptional

Filter by listing status(es). Multi-select.

Allowed values:
filter_typeenumOptional

Filter by listing type(s). Multi-select.

Allowed values:
filter_task_group_idstringOptional
Filter to listings for this task group.
filter_order_idstringOptional
Filter to listings on this order.
filter_created_by_org_idstringOptional

Filter to listings created by this provider org (lister). Mostly useful on bidder views to slice by lister.

filter_created_by_user_idstringOptional

Filter to listings created by this operator (audit).

filter_created_at_timestamp_gtedatetimeOptional

Filter created_at_timestamp >= value (inclusive).

filter_created_at_timestamp_ltedatetimeOptional

Filter created_at_timestamp <= value (inclusive).

filter_last_edited_at_timestamp_gtedatetimeOptional

Filter last_edited_at_timestamp >= value (inclusive).

filter_last_edited_at_timestamp_ltedatetimeOptional

Filter last_edited_at_timestamp <= value (inclusive).

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Listings List by Org V1request Unprocessable Entity Error